<div v-if="page && !loading && page.num_pages > 1 && count > 0" class="paginator">

  <div class="paginator__arrow">
    <div class="btn btn_m btn_square btn_paginator" @click="page.has_previous ? toPage(page.previous_page_number) : null" :class="{ btn_disabled: !page.has_previous }">
      <div class="btn__icon icon icon_m">
        <svg>
          <use xlink:href="#svg-arrow-left"></use>
        </svg>
      </div>
    </div>
  </div>
  <div class="paginator__pages">
    <div v-if="page.has_previous" @click="toPage(1)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">1</div>
    </div>
    <div v-if="page.number > 4" class="btn btn_m btn_square btn_paginator btn_disabled">
      <div class="btn__title">...</div>
    </div>
    <div v-if="page.number == 4" @click="toPage(2)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">2</div>
    </div>
    <div v-if="page.has_previous && page.previous_page_number != 1" @click="toPage(page.previous_page_number)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ page.previous_page_number }</div>
    </div>
    <div class="btn btn_m btn_square btn_paginator btn_active">
      <div class="btn__title">${ page.number }</div>
    </div>
    <div v-if="page.has_next && page.next_page_number != page.num_pages" @click="toPage(page.next_page_number)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ page.next_page_number }</div>
    </div>
    <div v-if="page.number == page.num_pages - 3" @click="toPage(page.num_pages - 1)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ page.num_pages - 1 }</div>
    </div>
    <div v-if="page.num_pages - page.number > 3" class="btn btn_m btn_square btn_paginator btn_disabled">
      <div class="btn__title">...</div>
    </div>
    <div v-if="page.has_next" @click="toPage(page.num_pages)" class="btn btn_m btn_square btn_paginator">
      <div class="btn__title">${ page.num_pages }</div>
    </div>
  </div>
  <div class="paginator__arrow">
    <div class="btn btn_m btn_square btn_paginator" @click="page.has_next ? toPage(page.next_page_number) : null" :class="{ btn_disabled: !page.has_next }">
      <div class="btn__icon icon icon_m">
        <svg>
          <use xlink:href="#svg-arrow-right"></use>
        </svg>
      </div>
    </div>
  </div>
</div>
